Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1501391 - CVE-2017-15588 CVE-2017-15589 CVE-2017-15590 CVE-2017-15591 CVE-2017-15592 CVE-2017-15593 CVE-2017-15594 CVE-2017-15595 xen: various flaws [fedora-all]
Summary: CVE-2017-15588 CVE-2017-15589 CVE-2017-15590 CVE-2017-15591 CVE-2017-15592 CV...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 26
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-15590, xsa237 CVE-2017-15591, xsa238 CVE-2017-15589, xsa239 CVE-2017-15595, xsa240 CVE-2017-15588, xsa241 CVE-2017-15593, xsa242 CVE-2017-15592, xsa243 CVE-2017-15594, xsa244
TreeView+ depends on / blocked
 
Reported: 2017-10-12 13:41 UTC by Adam Mariš
Modified: 2017-12-12 14:38 UTC (History)
3 users (show)

Fixed In Version: xen-4.8.2-4.fc26 xen-4.7.3-7.fc25 xen-4.9.0-12.fc27 xen-4.9.0-14.fc27 xen-4.7.4-1.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 14:38:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2017-10-12 13:41:05 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2017-10-12 13:41:10 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1499817,1499818,1499819,1499820,1499821,1499822,1499823,1499824,1501391

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2017-10-12 21:51:14 UTC
xen-4.9.0-12.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c432db2971

Comment 3 Fedora Update System 2017-10-12 22:58:44 UTC
xen-4.8.2-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5bcddc1984

Comment 4 Fedora Update System 2017-10-12 23:36:35 UTC
xen-4.7.3-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d4709b0d8b

Comment 5 Fedora Update System 2017-10-13 22:22:15 UTC
xen-4.7.3-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d4709b0d8b

Comment 6 Fedora Update System 2017-10-13 22:23:45 UTC
xen-4.8.2-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5bcddc1984

Comment 7 Fedora Update System 2017-10-13 23:23:29 UTC
xen-4.9.0-12.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c432db2971

Comment 8 Fedora Update System 2017-11-01 00:02:19 UTC
xen-4.8.2-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-11-01 16:41:53 UTC
xen-4.7.3-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-11-11 02:52:27 UTC
xen-4.9.0-12.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Adam Mariš 2017-11-16 13:23:21 UTC
Reopening because of new patch release for CVE-2017-15592 (XSA-243) and CVE-2017-15595 (XSA-240) that are addressing the issues introduced with the previous patches for these issues.

https://xenbits.xen.org/xsa/advisory-240.html
https://xenbits.xen.org/xsa/advisory-243.html

Thanks!

Comment 12 Fedora Update System 2017-11-19 15:34:07 UTC
xen-4.9.0-14.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c31799ee4a

Comment 13 Fedora Update System 2017-11-19 16:55:02 UTC
xen-4.7.3-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6d09353c38

Comment 14 Fedora Update System 2017-11-20 18:12:17 UTC
xen-4.7.3-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6d09353c38

Comment 15 Fedora Update System 2017-11-21 23:32:04 UTC
xen-4.9.0-14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-24 17:07:42 UTC
xen-4.7.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2577f2108

Comment 17 Fedora Update System 2017-11-24 23:23:45 UTC
xen-4.7.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2577f2108

Comment 18 Fedora Update System 2017-12-12 14:38:33 UTC
xen-4.7.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.